package de.fraunhofer.iem.dataprovider.toolResult

import de.fraunhofer.iem.dataprovider.logger.getLogger
import de.fraunhofer.iem.dataprovider.sarif.Sarif
import org.springframework.stereotype.Service

@Service
class ToolResultsPersistenceService(val toolRunRepository: ToolRunRepository) {

    private val logger = getLogger(javaClass)
    suspend fun save(sarif: Sarif) {
        logger.info("Save sarif request received.")

        toolRunRepository.save(ToolRun())
    }

}